package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFlplanMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFlplan;
import com.ruoyi.project.training.bccnew.service.ITTsFlplanService;

/**
 * 分离培训Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsFlplanServiceImpl implements ITTsFlplanService
{
    @Autowired
    private TTsFlplanMapper tTsFlplanMapper;

    /**
     * 查询分离培训
     *
     * @param id 分离培训ID
     * @return 分离培训
     */
    @Override
    public TTsFlplan selectTTsFlplanById(Long id)
    {
        return tTsFlplanMapper.selectTTsFlplanById(id);
    }

    /**
     * 查询分离培训列表
     *
     * @param tTsFlplan 分离培训
     * @return 分离培训
     */
    @Override
    public List<TTsFlplan> selectTTsFlplanList(TTsFlplan tTsFlplan)
    {
        return tTsFlplanMapper.selectTTsFlplanList(tTsFlplan);
    }

    @Override
    public List<TTsFlplan> selectTTsFlplanListByNewId(TTsFlplan tTsFlplan) {
        return tTsFlplanMapper.selectTTsFlplanListByNewId(tTsFlplan);
    }

    /**
     * 新增分离培训
     *
     * @param tTsFlplan 分离培训
     * @return 结果
     */
    @Override
    public int insertTTsFlplan(TTsFlplan tTsFlplan)
    {
        return tTsFlplanMapper.insertTTsFlplan(tTsFlplan);
    }

    /**
     * 修改分离培训
     *
     * @param tTsFlplan 分离培训
     * @return 结果
     */
    @Override
    public int updateTTsFlplan(TTsFlplan tTsFlplan)
    {
        return tTsFlplanMapper.updateTTsFlplan(tTsFlplan);
    }

    /**
     * 批量删除分离培训
     *
     * @param ids 需要删除的分离培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanByIds(Long[] ids)
    {
        return tTsFlplanMapper.deleteTTsFlplanByIds(ids);
    }

    /**
     * 删除分离培训信息
     *
     * @param id 分离培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanById(Long id)
    {
        return tTsFlplanMapper.deleteTTsFlplanById(id);
    }
}
